import axios from 'axios';
import React, {useEffect, useState} from 'react';
import './App.css';
import SongDisplay from './components/SongDisplay';
import Song from './model/song.model';

const App: React.FC = () => {
    const [songs, setSongs] = useState(new Array<Song>());

    useEffect(() => {
        axios.get("http://localhost:8080/api/v1/song/")
            .then(response => setSongs(response.data));
    }, []);

    return (
        <div className="App">
            {songs.map(s => (
                    <SongDisplay key={s.id} song={s}/>
            ))}
        </div>
    );
}

export default App;
